# UniTAP.dev.ports.modules.link.dp.link_tx_config

class LinkDisplayPortConfig:

Class `LinkDisplayPortConfig` allows settings link configuration on Source (TX - transmitter) side.

- Set configuration `set`.
- Get current configuration on link `get`.

LinkDisplayPortConfig( port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO, caps: UniTAP.dev.ports.modules.link.dp.private_link_tx_types.DPTXHWCaps)
def set(self, config: ~DisplayPortLinkConfig):

Write new configuration on DP link.

###### Arguments:

- config (`DisplayPortLinkConfig`) - `LinkConfig.DP8b10b`, `LinkConfig.DP128b132b` or `LinkConfig.eDP`.

def get( self, config_type: Optional[Type[~DisplayPortLinkConfig]] = None) -> ~DisplayPortLinkConfig:

Returns current DP source link configuration.

###### Returns:

> object of `DisplayPortLinkConfig` type